org.apache.datasketches.pig.kll

## Class SketchToString

- java.lang.Object
- - org.apache.pig.EvalFunc<String>
  - - org.apache.datasketches.pig.kll.SketchToString

    public class SketchToString
    extends org.apache.pig.EvalFunc<String>

This UDF is to get a human-readable summary of a given sketch.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`SketchToString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `exec(org.apache.pig.data.Tuple input)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SketchToString

    public SketchToString()

### Method Detail

#### exec

    public String exec(org.apache.pig.data.Tuple input)
                throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<String>`
Throws:
  `IOException`